﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Creating Personalized Reports Scheduled from Runtime Analytics</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Personalized Reports Scheduled from Runtime Analytics</h1>
        <div class="info" MadCap:conditions="Default.v2021X" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="note">This capability is available from the Release v2021.0 onwards.</p>
        </div>
        <p>End users are given more power to schedule and save their own personalized version of a runtime analytics report using report templates. This kind of personalization is intuitive for an end user as they can access these data over email. Additionally, end users also have the flexibility to share these report data with other users.</p>
        <h2 id="CreatingPersonalizedReportsScheduledfromRuntimeAnalytics-Prerequisites">Prerequisites </h2>
        <p>Following are the prerequisites to create a personalized runtime analytics report. </p>
        <ul>
            <li>
                <p>Enable <strong>Merged Analytics</strong> and <strong>Allow end users to schedule their report</strong> options located in <strong>Admin &gt; Global Configurations &gt; Analytics</strong>.</p>
            </li>
            <li>
                <p>Create a query for the runtime analytics report with dynamic attributes and a <strong>userKey </strong>as one of the column alias. This column alias will help in defining the context of the relevant results. For more information on how to create a runtime analytics with dynamic attributes, see Defining Dynamic Attributes section. </p>
            </li>
            <li>
                <p>Enable the Analytics History V2 flat view page.</p>
            </li>
            <li>
                <p>Enable <strong> Show Violation with Zero Count</strong> from <strong>Admin &gt; Global Configurations &gt; Analytics</strong>. </p>
            </li>
        </ul>
        <p>
            <img src="../Resources/Images/show violation with zero count.png" />
        </p>
        <h2 id="CreatingPersonalizedReportsScheduledfromRuntimeAnalytics-ConfiguringRuntimeAnalyticsReportstoSupportPersonalizedSchedules">Configuring Runtime Analytics Reports to Support Personalized Schedules</h2>
        <ol>
            <li>
                <p>Enable the merged analytics interface from <strong>Admin &gt; Global Configurations &gt; Analytics&gt; Settings</strong>.  </p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p><strong>Show Merged View </strong>option enables the merged view of analytics</p>
                    </li>
                    <li>
                        <p><strong>Allow end users to schedule their own report</strong> option allows the creation of the run-time analytic report where the end users can enter their own parameters and schedule the report. </p>
                        <p>
                            <img src="../Resources/Images/global config.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 893px;height: 157px;" />
                            <br />
                        </p>
                    </li>
                </ol>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">You must enable <strong>Allow end users to schedule their own report</strong> option to enable <strong>Show Merged View </strong>option.</p>
        </div>
        <ol MadCap:continue="true">
            <li>
                <p>  Create a runtime analytics report:  </p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>If you are using the new user interface (v2020.x), locate the app-switcher menu, select <strong> Intelligence mini-app &gt; Analytics Configuration List &gt; Create New Analytics &gt; Runtime Analytics</strong>. </p>
                    </li>
                    <li>
                        <p>If you are using the user interface prior to v2020.x, go to <strong>Analytics &gt; Analytics Configuration List &gt; Create New Analytics &gt; Runtime Analytics</strong>.<br /><img src="../Resources/Images/create new analytics.JPG" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 486px;height: 374px;" /></p>
                    </li>
                </ol>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p>In <strong>Analytics Query</strong>, add a dynamic attribute and a <strong>userKey </strong>as a column alias. <br />If you already have an existing report containing a dynamic attribute, go to step-4 directly. </p>
            </li>
        </ol>
        <p>Sample query:</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select username, userKey, firstname, city from users where owner='${uname}' limit 10   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <p>In the sample query, <strong>uname</strong> is the dynamic attribute.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The column alias <strong>userKey</strong> is case-sensitive.</p>
        </div>
        <ol MadCap:continue="true">
            <li>
                <p>In the “<strong>Where do you want to save your data?”</strong> section, select <strong>Send Email As Attachment</strong>. Once this is selected, a new option <strong>Allow end-users to set their schedule</strong> is displayed prompting you to set your schedule.<br /><img src="../Resources/Images/where u want to save data.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 668px;height: 321px;" /></p>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If you select <strong>Allow end-users to set their schedule</strong>, options such as <strong>Save To Elasticsearch or Database</strong> and <strong>Save to File</strong> will be disabled.</p>
        </div>
        <ol MadCap:continue="true">
            <li>
                <p> To preview the report, select <strong>Preview</strong>, and view the details.</p>
            </li>
            <li>
                <p>To create the report, click <strong>Create.</strong></p>
            </li>
            <li>
                <p> Click <strong>Save </strong>to store the dynamic attribute details.<br /><img src="../Resources/Images/add attribute.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 580px;height: 276px;" /></p>
            </li>
        </ol>
        <p>After the report is created, run it using the <strong>Run Now</strong> option from the <strong>Analytics Configuration Details</strong> page or the <strong>Analytics Configuration List</strong> page. </p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">This step is crucial and an administrator or an end user who can create a report must perform it as this is one of the prerequisites for creating the personalized schedules.</p>
        </div>
        <h2 id="CreatingPersonalizedReportsScheduledfromRuntimeAnalytics-CreatingPersonalizedReports">Creating Personalized Reports</h2>
        <p>Once a runtime analytics report is configured with the specified prerequisites, end users can create their personalized schedules from the Analytics History V2 page. </p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Visibility to reports are managed through SAV roles.</p>
        </div>
        <p>As part of personalized schedules, end users can perform the following actions:</p>
        <ol>
            <li>
                <p>Save a personalized version of the dynamic attribute value along with a newly scheduled report. </p>
            </li>
            <li>
                <p>Share a copy of the personalized analytics report to other users by configuring their email IDs while saving the personalized schedule. </p>
            </li>
            <li>
                <p>Schedule the analytics report weekly or monthly and receive the report as an email attachment.</p>
            </li>
        </ol>
        <p>To save a personalized scheduled version of the analytics runtime report, perform the following steps:</p>
        <ol>
            <li>
                <p>In the Analytics History page, search for the runtime analytics report that you want to schedule and click on the report name. The Edit Attribute window is displayed.</p>
            </li>
            <li>
                <p>Specify a value for the dynamic attribute for which you want to view the report and click Next.</p>
            </li>
            <li>
                <p>Click <strong>Yes </strong>to schedule the report.</p>
            </li>
            <li>
                <p>Select the schedule on a weekly or a monthly basis, and click <strong>Next</strong>. </p>
                <p>
                    <img src="../Resources/Images/schedule the job.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p>Specify one or more email addresses for whom the personalized report needs to be delivered. Otherwise, only the end user who is creating the schedule will receive the report data.</p>
            </li>
        </ol>
        <p>The new report name is saved with the selected dynamic attribute. </p>
        <p>      6. Click <strong>Save</strong>. <br /><img src="../Resources/Images/report details.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 440px;height: 262px;" /></p>
        <p>You can now see the personalized version of the analytics report in the Analytics History V2 page.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">When a master report is executed, it returns all the results. </p>
                </li>
                <li>
                    <p class="note">When a user-specific personalized report is executed, it returns user-specific results. By default, the end user who has scheduled their own personalized report gets the owner privileges to that report. </p>
                </li>
                <li>
                    <p class="note">If no records are returned, you will not receive any attachment containing the data.</p>
                </li>
            </ul>
        </div>
        <p>&#160;</p>
    </body>
</html>